/*
 * setup.c: A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */


#include "setup.h"
#include "config.h"

cAdZapSetup::cAdZapSetup(void)
{

  inetAvail   = config.inetAvail;
  timeout     = config.timeout;
  
  Add(new cMenuEditBoolItem(tr("Internetverbindung"),&inetAvail,"Nein","Ja"));
  Add(new cMenuEditIntItem(tr("Timeout [min]"),&timeout, 1, 255));
}

void cAdZapSetup::Store(void)
{
  SetupStore("InetAvail",         config.inetAvail = inetAvail);
  SetupStore("Timeout",           config.timeout = timeout);
}


